#### D.2.3.1 A_Z

Procedure from library `general.lib` (see general_lib).

Usage:
  A_Z("a",n); a any letter, n integer (-26<= n <=26, !=0)

Return:
  string of n small (if a is small) or capital (if a is capital) letters, comma separated, beginning with a, in alphabetical order (or reverse alphabetical order if n<0)

Example:

    LIB "general.lib";
    A_Z("c",5);
    ==> c,d,e,f,g
    A_Z("Z",-5);
    ==> Z,Y,X,W,V
    string sR = "ring R = (0,"+A_Z("A",6)+"),("+A_Z("a",10)+"),dp;";
    sR;
    ==> ring R = (0,A,B,C,D,E,F),(a,b,c,d,e,f,g,h,i,j),dp;
    execute(sR);
    R;
    ==> //   characteristic : 0
    ==> //   6 parameter    : A B C D E F
    ==> //   minpoly        : 0
    ==> //   number of vars : 10
    ==> //        block   1 : ordering dp
    ==> //                  : names    a b c d e f g h i j
    ==> //        block   2 : ordering C

User manual for Singular version 4-0-3, 2016, generated by texi2html.